<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.11"/>
<title>eRPC API Reference: Class Members - Functions</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="navtree.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="resize.js"></script>
<script type="text/javascript" src="navtreedata.js"></script>
<script type="text/javascript" src="navtree.js"></script>
<script type="text/javascript">
  $(document).ready(initResizable);
  $(window).load(resizeHeight);
</script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<script type="text/javascript">
  $(document).ready(function() { init_search(); });
</script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
<link href="customdoxygen.css" rel="stylesheet" type="text/css"/>
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">eRPC API Reference
   &#160;<span id="projectnumber">Rev. 1.4.0</span>
   </div>
   <div id="projectbrief">NXP Semiconductors</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.11 -->
<script type="text/javascript">
var searchBox = new SearchBox("searchBox", "search",false,'Search');
</script>
  <div id="navrow1" class="tabs">
    <ul class="tablist">
      <li><a href="index.html"><span>Main&#160;Page</span></a></li>
      <li><a href="modules.html"><span>API&#160;Reference</span></a></li>
      <li class="current"><a href="annotated.html"><span>Classes</span></a></li>
      <li><a href="files.html"><span>Files</span></a></li>
      <li>
        <div id="MSearchBox" class="MSearchBoxInactive">
        <span class="left">
          <img id="MSearchSelect" src="search/mag_sel.png"
               onmouseover="return searchBox.OnSearchSelectShow()"
               onmouseout="return searchBox.OnSearchSelectHide()"
               alt=""/>
          <input type="text" id="MSearchField" value="Search" accesskey="S"
               onfocus="searchBox.OnSearchFieldFocus(true)" 
               onblur="searchBox.OnSearchFieldFocus(false)" 
               onkeyup="searchBox.OnSearchFieldChange(event)"/>
          </span><span class="right">
            <a id="MSearchClose" href="javascript:searchBox.CloseResultsWindow()"><img id="MSearchCloseImg" border="0" src="search/close.png" alt=""/></a>
          </span>
        </div>
      </li>
    </ul>
  </div>
  <div id="navrow2" class="tabs2">
    <ul class="tablist">
      <li><a href="annotated.html"><span>Class&#160;List</span></a></li>
      <li><a href="classes.html"><span>Class&#160;Index</span></a></li>
      <li><a href="inherits.html"><span>Class&#160;Hierarchy</span></a></li>
      <li class="current"><a href="functions.html"><span>Class&#160;Members</span></a></li>
    </ul>
  </div>
  <div id="navrow3" class="tabs2">
    <ul class="tablist">
      <li><a href="functions.html"><span>All</span></a></li>
      <li class="current"><a href="functions_func.html"><span>Functions</span></a></li>
      <li><a href="functions_vars.html"><span>Variables</span></a></li>
      <li><a href="functions_type.html"><span>Typedefs</span></a></li>
    </ul>
  </div>
  <div id="navrow4" class="tabs3">
    <ul class="tablist">
      <li><a href="functions_func.html#index_a"><span>a</span></a></li>
      <li class="current"><a href="functions_func_c.html#index_c"><span>c</span></a></li>
      <li><a href="functions_func_d.html#index_d"><span>d</span></a></li>
      <li><a href="functions_func_e.html#index_e"><span>e</span></a></li>
      <li><a href="functions_func_f.html#index_f"><span>f</span></a></li>
      <li><a href="functions_func_g.html#index_g"><span>g</span></a></li>
      <li><a href="functions_func_h.html#index_h"><span>h</span></a></li>
      <li><a href="functions_func_i.html#index_i"><span>i</span></a></li>
      <li><a href="functions_func_m.html#index_m"><span>m</span></a></li>
      <li><a href="functions_func_o.html#index_o"><span>o</span></a></li>
      <li><a href="functions_func_p.html#index_p"><span>p</span></a></li>
      <li><a href="functions_func_r.html#index_r"><span>r</span></a></li>
      <li><a href="functions_func_s.html#index_s"><span>s</span></a></li>
      <li><a href="functions_func_t.html#index_t"><span>t</span></a></li>
      <li><a href="functions_func_u.html#index_u"><span>u</span></a></li>
      <li><a href="functions_func_v.html#index_v"><span>v</span></a></li>
      <li><a href="functions_func_w.html#index_w"><span>w</span></a></li>
      <li><a href="functions_func_0x7e.html#index_0x7e"><span>~</span></a></li>
    </ul>
  </div>
</div><!-- top -->
<div id="side-nav" class="ui-resizable side-nav-resizable">
  <div id="nav-tree">
    <div id="nav-tree-contents">
      <div id="nav-sync" class="sync"></div>
    </div>
  </div>
  <div id="splitbar" style="-moz-user-select:none;" 
       class="ui-resizable-handle">
  </div>
</div>
<script type="text/javascript">
$(document).ready(function(){initNavTree('functions_func_c.html','');});
</script>
<div id="doc-content">
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div class="contents">
&#160;

<h3><a class="anchor" id="index_c"></a>- c -</h3><ul>
<li>ClientManager()
: <a class="el" href="classerpc_1_1_client_manager.html#ae8f089225320c8e8ce11c4587034b0d6">erpc::ClientManager</a>
</li>
<li>clientReceive()
: <a class="el" href="classerpc_1_1_transport_arbitrator.html#aba5660b83cd5f9ca55eaa362c84c7916">erpc::TransportArbitrator</a>
</li>
<li>close()
: <a class="el" href="classerpc_1_1_t_c_p_transport.html#ae7e4b4e92c50023654ee03abb724cb76">erpc::TCPTransport</a>
</li>
<li>Codec()
: <a class="el" href="classerpc_1_1_codec.html#ab8a8bf8e26193edaa7b60bd60a74e241">erpc::Codec</a>
</li>
<li>CodecFactory()
: <a class="el" href="classerpc_1_1_codec_factory.html#af78f7079929ab75f3b70b794d993a229">erpc::CodecFactory</a>
</li>
<li>computeCRC16()
: <a class="el" href="classerpc_1_1_framed_transport.html#ae82ff0e3a9a2f15345cde9f05f78bd95">erpc::FramedTransport</a>
</li>
<li>configure()
: <a class="el" href="classerpc_1_1_t_c_p_transport.html#a9cb91952fa78e3d6489b2de9c1f8613e">erpc::TCPTransport</a>
</li>
<li>connectClient()
: <a class="el" href="classerpc_1_1_t_c_p_transport.html#ac3fe39a38de9be4f21947cf9ad3cacba">erpc::TCPTransport</a>
</li>
<li>create()
: <a class="el" href="class_dynamic_message_buffer_factory.html#aaf3b384ee4b4f97c03009db66a67b473">DynamicMessageBufferFactory</a>
, <a class="el" href="classerpc_1_1_basic_codec_factory.html#ae6e09ba44bba02818bf1f6a7c4edff3f">erpc::BasicCodecFactory</a>
, <a class="el" href="classerpc_1_1_codec_factory.html#ac5e961deb0ec655e51ed60e997c6c2c1">erpc::CodecFactory</a>
, <a class="el" href="classerpc_1_1_message_buffer_factory.html#a988ac3778b4164dc497429128078447b">erpc::MessageBufferFactory</a>
, <a class="el" href="classerpc_1_1_transport_factory.html#a3bdc22c20866f42fd918a3abe6b7b800">erpc::TransportFactory</a>
, <a class="el" href="class_r_p_msg_z_c_message_buffer_factory.html#af03d26b64bd1eaaac6370e98ae9b1e56">RPMsgZCMessageBufferFactory</a>
, <a class="el" href="class_static_message_buffer_factory.html#ab312c0505632896b9b7e569748feea88">StaticMessageBufferFactory</a>
</li>
<li>createBufferAndCodec()
: <a class="el" href="classerpc_1_1_client_manager.html#a72cfe47bac319ec782ed7d819a909519">erpc::ClientManager</a>
</li>
<li>createRequest()
: <a class="el" href="classerpc_1_1_client_manager.html#afc479442d1a9155035659410cf8a5a4b">erpc::ClientManager</a>
</li>
<li>createServerBuffer()
: <a class="el" href="classerpc_1_1_message_buffer_factory.html#a27ba896a8eb9a1aee6b02894acd724cf">erpc::MessageBufferFactory</a>
, <a class="el" href="class_r_p_msg_z_c_message_buffer_factory.html#a396a52d2e2b3b122a71b3b92facc376e">RPMsgZCMessageBufferFactory</a>
</li>
<li>Cursor()
: <a class="el" href="classerpc_1_1_message_buffer_1_1_cursor.html#a0e15e87d9811aa62005be4a985b94451">erpc::MessageBuffer::Cursor</a>
</li>
</ul>
</div><!-- contents -->
</div><!-- doc-content -->
<!-- HTML footer for doxygen 1.8.5-->
<!-- start footer part -->
<div id="nav-path" class="navpath"><!-- id is needed for treeview function! -->
  <ul class="foot">
    <li class="footer">&copy; 2016 NXP Semiconductors. All rights reserved.
    </li>
  </ul>
</div>
</body>
</html>
